%Initialisation of Extended Kalman Filter
%
%
%Author: Karianne Knutsen Tnne
%
%Date: 23/10-06
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%  Initialisation of the extended Kalman filter                   %
%                                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

init;                                                
global Q R H GG  deltaT timestep Pk_next qk_next wk_next xk_next

%Filter update rate
deltaT = 0.05; %f = 8hz
timestep = deltaT;

%***************************************************************** 
% Noise data    ?? Verdier for noise??? Hvor fra?
%*****************************************************************
qNoise = 1e-12;              
wNoise = 1e-8;                
starNoise = 1e-012;                                                              
sunNoise = 1.6374e-005;                                  

%***************************************************************** 
%Init Kalman Filter 
%*****************************************************************
%Input noice matrix
Q = diag([qNoise^2 qNoise^2 qNoise^2 wNoise^2 wNoise^2 wNoise^2]);
%Measurement noise covariance matrix
R = diag([starNoise starNoise starNoise])*[1;1;1];        

GG = deltaT*eye(6);                                   
%Measurement matrix
H = [eye(3) zeros(3,3)];                                

%Initial values
Pk_next = diag([1e-6 1e-6 1e-6 1e-10 1e-10 1e-10]);  
qk_next = euler2q([5 5 5]'*pi/180);                  
wk_next = [0.0005 0.0005 0.0005]';               
xk_next = [qk_next; wk_next];
%Controller parameters              
q_ref = euler2q([10 10 10]'*pi/180);



