function x_dot = nonLin(xk_next, omega_w, Tau_w)
%Non Linear System
%
%
%Author: Karianne Knutsen Tnne
%
%Date: 25/10-06
%
 global J w0 I_w A w_o_io
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%   The nonlinear system with initial states                      %
%                                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x = xk_next;
n = x(1);
e = x(2:4);
w_b_ob = x(5:7);


w_w = omega_w;
T_w = Tau_w;
     
R_b_o = Rquat([n; e])'; 

T_g = 3*w0^2*Sk_matrix(R_b_o(:,3))*(J*R_b_o(:,3));
actu = Sk_matrix(w_b_ob + R_b_o*w_o_io)*A*I_w*(w_w + A'*(w_b_ob + R_b_o*w_o_io));

e_dot =(1/2)*(n*eye(3) + Sk_matrix(e))*w_b_ob;
n_dot = -(1/2)*e'*w_b_ob;
w_b_ob_dot =inv(J)*((-Sk_matrix(w_b_ob + R_b_o*w_o_io)*(J*(w_b_ob + R_b_o*w_o_io)))...
    + T_g - actu - T_w) + Sk_matrix(w_b_ob)*R_b_o*w_o_io;

%%%%%%%%%%%%%%%%%%Output%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                        %
%               % New state vector %                                     %              
x_dot = [n_dot; e_dot ; w_b_ob_dot];   %%%% x = [q w_b_ob]'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%