function qInvProd = qInvProduct(q1, q2)
%Quaternion inverse Product
%
%
%Author: Karianne Knutsen Tnne
%
%Date: 23/10-06
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%  Calculates the quaternionproduct of to quaternion vectors      %
%                                                                 %
%   Input = q1 and q2   Output qInvProd = q1 x q2^(-1)            %
%   For use in the delta q_k = q_star_k X q_k^(-1)                % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


q2(2:4) = -q2(2:4);
epsX = q1(2:4)'*q2(2:4);

qInvProd = [q1(1)*q2(1) - epsX;
        q1(1)*q2(2) + q2(1)*q1(2) + q1(3)*q2(4) - q1(4)*q2(3) ;
        q1(1)*q2(3) + q2(1)*q1(3) + q1(4)*q2(2) - q1(2)*q2(4) ;
        q1(1)*q2(4) + q2(1)*q1(4) + q1(2)*q2(3) - q1(3)*q2(2) ;
        ];
       